org.ajax4jsf.component.html

## Class MediaOutput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.ajax4jsf.component.UIMediaOutput
        - - org.ajax4jsf.component.html.MediaOutput

- All Implemented Interfaces:
    javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.resource.ResourceComponent, org.ajax4jsf.resource.ResourceComponent2

      public class MediaOutput
      extends UIMediaOutput

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getAlign()`
    `java.lang.String` | `getArchive()`
    `java.lang.String` | `getBorder()`
    `java.lang.String` | `getCharset()`
    `java.lang.String` | `getClassid()`
    `java.lang.String` | `getCodebase()`
    `java.lang.String` | `getCodetype()`
    `java.lang.String` | `getCoords()`
    `javax.el.MethodExpression` | `getCreateContentExpression()`
    `java.lang.String` | `getDeclare()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
    `java.util.Date` | `getExpires()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHreflang()`
    `java.lang.String` | `getHspace()`
    `java.lang.String` | `getLang()`
    `java.util.Date` | `getLastModified()`
    `java.lang.String` | `getMimeType()`
    `java.lang.String` | `getOnblur()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnfocus()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getRel()`
    `java.lang.String` | `getRev()`
    `java.lang.String` | `getShape()`
    `java.lang.String` | `getStandby()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getTarget()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
    `java.lang.String` | `getUsemap()`
    `java.lang.String` | `getVspace()`
    `boolean` | `isCacheable()`
    `boolean` | `isIsmap()`
    `boolean` | `isSession()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAccesskey(java.lang.String _accesskey)`
    `void` | `setAlign(java.lang.String _align)`
    `void` | `setArchive(java.lang.String _archive)`
    `void` | `setBorder(java.lang.String _border)`
    `void` | `setCacheable(boolean _cacheable)`
    `void` | `setCharset(java.lang.String _charset)`
    `void` | `setClassid(java.lang.String _classid)`
    `void` | `setCodebase(java.lang.String _codebase)`
    `void` | `setCodetype(java.lang.String _codetype)`
    `void` | `setCoords(java.lang.String _coords)`
    `void` | `setCreateContentExpression(javax.el.MethodExpression _createContentExpression)`
    `void` | `setDeclare(java.lang.String _declare)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setElement(java.lang.String _element)` Set Element name for rendering ( imj , a , object, applet ).
    `void` | `setExpires(java.util.Date _expires)`
    `void` | `setHreflang(java.lang.String _hreflang)`
    `void` | `setHspace(java.lang.String _hspace)`
    `void` | `setIsmap(boolean _ismap)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setLastModified(java.util.Date _lastModified)`
    `void` | `setMimeType(java.lang.String _mimeType)`
    `void` | `setOnblur(java.lang.String _onblur)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnfocus(java.lang.String _onfocus)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setRel(java.lang.String _rel)`
    `void` | `setRev(java.lang.String _rev)`
    `void` | `setSession(boolean _session)`
    `void` | `setShape(java.lang.String _shape)`
    `void` | `setStandby(java.lang.String _standby)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTabindex(java.lang.String _tabindex)`
    `void` | `setTarget(java.lang.String _target)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setType(java.lang.String _type)`
    `void` | `setUriAttribute(java.lang.String _uriAttribute)` Set URI attribute for resource ( src for images, href for links etc ).
    `void` | `setUsemap(java.lang.String _usemap)`
    `void` | `setVspace(java.lang.String _vspace)`

    - ### Methods inherited from class org.ajax4jsf.component.UIMediaOutput

      `getCreateContent, setCreateContent`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.resource.ResourceComponent

      `getValue, setValue`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MediaOutput

          public MediaOutput()

  - ### Method Detail

    - #### getAccesskey

          public java.lang.String getAccesskey()

    - #### setAccesskey

          public void setAccesskey(java.lang.String _accesskey)

    - #### getAlign

          public java.lang.String getAlign()

    - #### setAlign

          public void setAlign(java.lang.String _align)

    - #### getArchive

          public java.lang.String getArchive()

    - #### setArchive

          public void setArchive(java.lang.String _archive)

    - #### getBorder

          public java.lang.String getBorder()

    - #### setBorder

          public void setBorder(java.lang.String _border)

    - #### isCacheable

          public boolean isCacheable()

    - #### setCacheable

          public void setCacheable(boolean _cacheable)

    - #### getCharset

          public java.lang.String getCharset()

    - #### setCharset

          public void setCharset(java.lang.String _charset)

    - #### getClassid

          public java.lang.String getClassid()

    - #### setClassid

          public void setClassid(java.lang.String _classid)

    - #### getCodebase

          public java.lang.String getCodebase()

    - #### setCodebase

          public void setCodebase(java.lang.String _codebase)

    - #### getCodetype

          public java.lang.String getCodetype()

    - #### setCodetype

          public void setCodetype(java.lang.String _codetype)

    - #### getCoords

          public java.lang.String getCoords()

    - #### setCoords

          public void setCoords(java.lang.String _coords)

    - #### getCreateContentExpression

          public javax.el.MethodExpression getCreateContentExpression()

    - #### setCreateContentExpression

          public void setCreateContentExpression(javax.el.MethodExpression _createContentExpression)

    - #### getDeclare

          public java.lang.String getDeclare()

    - #### setDeclare

          public void setDeclare(java.lang.String _declare)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getElement

          public java.lang.String getElement()

      Description copied from class: `UIMediaOutput`
      Get Element name for rendering ( imj , a , object, applet ).
      Specified by:
        `getElement` in class `UIMediaOutput`
      Returns:

    - #### setElement

          public void setElement(java.lang.String _element)

      Description copied from class: `UIMediaOutput`
      Set Element name for rendering ( imj , a , object, applet ).
      Specified by:
        `setElement` in class `UIMediaOutput`

    - #### getExpires

          public java.util.Date getExpires()

    - #### setExpires

          public void setExpires(java.util.Date _expires)

    - #### getHreflang

          public java.lang.String getHreflang()

    - #### setHreflang

          public void setHreflang(java.lang.String _hreflang)

    - #### getHspace

          public java.lang.String getHspace()

    - #### setHspace

          public void setHspace(java.lang.String _hspace)

    - #### isIsmap

          public boolean isIsmap()

    - #### setIsmap

          public void setIsmap(boolean _ismap)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getLastModified

          public java.util.Date getLastModified()

    - #### setLastModified

          public void setLastModified(java.util.Date _lastModified)

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### setMimeType

          public void setMimeType(java.lang.String _mimeType)

    - #### getOnblur

          public java.lang.String getOnblur()

    - #### setOnblur

          public void setOnblur(java.lang.String _onblur)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnfocus

          public java.lang.String getOnfocus()

    - #### setOnfocus

          public void setOnfocus(java.lang.String _onfocus)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getRel

          public java.lang.String getRel()

    - #### setRel

          public void setRel(java.lang.String _rel)

    - #### getRev

          public java.lang.String getRev()

    - #### setRev

          public void setRev(java.lang.String _rev)

    - #### isSession

          public boolean isSession()

    - #### setSession

          public void setSession(boolean _session)

    - #### getShape

          public java.lang.String getShape()

    - #### setShape

          public void setShape(java.lang.String _shape)

    - #### getStandby

          public java.lang.String getStandby()

    - #### setStandby

          public void setStandby(java.lang.String _standby)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTabindex

          public java.lang.String getTabindex()

    - #### setTabindex

          public void setTabindex(java.lang.String _tabindex)

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String _target)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String _type)

    - #### getUriAttribute

          public java.lang.String getUriAttribute()

      Description copied from class: `UIMediaOutput`
      Get URI attribute for resource ( src for images, href for links etc ).
      Specified by:
        `getUriAttribute` in class `UIMediaOutput`
      Returns:

    - #### setUriAttribute

          public void setUriAttribute(java.lang.String _uriAttribute)

      Description copied from class: `UIMediaOutput`
      Set URI attribute for resource ( src for images, href for links etc ).
      Specified by:
        `setUriAttribute` in class `UIMediaOutput`

    - #### getUsemap

          public java.lang.String getUsemap()

    - #### setUsemap

          public void setUsemap(java.lang.String _usemap)

    - #### getVspace

          public java.lang.String getVspace()

    - #### setVspace

          public void setVspace(java.lang.String _vspace)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIOutput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIOutput`

Copyright © 2013. All Rights Reserved.